Next Generation CMS :: Форум поддержки

Заинтересовала наша система? Тогда этот форум для Вас!

rss

Вы не зашли.

Объявление

#1 2015-10-14 12:02:49

Wombat McDown
Пользователь
Зарегистрирован: 2010-02-18
Сообщений: 39
Рейтинг :   
Профиль

Завышенные требования к хостингам

В последнее время сталкиваюсь с невозможностью установки привычного движка на VPS/VDS.
В частности это хостеры ekvia.com в Украине, и 1Gb.ru в России.
Затык один и тот же - низкая версия PHP, и MySQL на виртуалках.
Очень неприятно откатываться на старые версии движка.
Я понимаю, что немногим здешним девелоперам неохота работать со старьем, все рвутся к новым возможностям, но...
Ребята, как насчет обратной совместимости?
Проблема не только NGCMS, - InstantCMS и MaxSite - с ними та же фигня.
Правду сказать, влом пересаживаться на какой-нить Drupal, стар я учиться друпалогиям.
И самые интересные работы у меня были связаны с 2z и NGCMS.

Неактивен

 

#2 2015-10-14 12:34:09

irbees2008
Пользователь
Откуда: Шахтинск
Зарегистрирован: 2012-03-14
Сообщений: 2271
Рейтинг :   98 
Профиль  Вебсайт

Re: Завышенные требования к хостингам

А чем тебя php 5.3 не устраивает ,это тоже уже устаревшая версия ,меняй хостера,их сейчас много и по доступным ценам,у нормального хостера в панели есть переключение версий php

Неактивен

 

#3 2015-10-14 15:51:05

infinity237
Модератор
Откуда: Russia, Moscow
Зарегистрирован: 2008-11-09
Сообщений: 2674
Рейтинг :   174 
Профиль  Вебсайт

Re: Завышенные требования к хостингам

1) Если ты берешь VDS/VPS - то ты же сам решаешь что ставить. Тут как бы никаких проблем быть не должно.
2) Все нормальные хостинги стараются переходить на более новые версии php и/или давать возможность переключать версию php в панелях управления.
3) NGCMS работает на php 5.3 и выше. Когда вышла php 5.3? Лет 5 назад наверное... А вы предлагаете ещё более старые версии? За это время там пофиксили кучу всего и увеличили производительность на порядок.

Думаю, что проблема выдумана. Что значит "завышенные требования"? Популярные фреймворки уже все давно >=5.4, а некоторые и >=5.5

Неактивен

 

#4 2015-10-14 18:51:52

Wombat McDown
Пользователь
Зарегистрирован: 2010-02-18
Сообщений: 39
Рейтинг :   
Профиль

Re: Завышенные требования к хостингам

Что-то вроде "Меняй хостера" я и ожидал услышать.
Поставить на своем VPS свежий PHP и MySQL - затея хорошая, но скажите, многие из присутствующих здесь могут это сделать под FreeBSD? Вот так, ручками вычистить старые, а потом установить из портов посвежее?
А держатели ресурсов не на хостинге, а на VPS - это те, кто реально мог бы участвовать в развитии проекта. Деньгами.
Которые мне придется потратить на участие техподдержки в перенастройке виртуального сервера под NGCMS.

И если они отворачиваются от NGCMS, то это проблема далеко не такая безобидная, как может показаться.
Впрочем, я не настаиваю, как вы понимаете.
Но и валять два сервера для соответствия требованиям NG не стану.

Неактивен

 

#5 2015-10-14 19:49:40

infinity237
Модератор
Откуда: Russia, Moscow
Зарегистрирован: 2008-11-09
Сообщений: 2674
Рейтинг :   174 
Профиль  Вебсайт

Re: Завышенные требования к хостингам

Хм... А почему приведен в пример именно FreeBSD? Не знаю насколько там сложно все ставить, но на Debian/Ubuntu или на CentOS все ставиться за 20 минут.
Лол... О чем вообще разговор, даже приведенный 1GB - предоставляет возможность менять версию PHP - http://www.1gb.ru/default.aspx?ti=6&hti=56

Неактивен

 

#6 2015-10-14 20:22:55

Wombat McDown
Пользователь
Зарегистрирован: 2010-02-18
Сообщений: 39
Рейтинг :   
Профиль

Re: Завышенные требования к хостингам

infinity237 написал:

Лол... О чем вообще разговор, даже приведенный 1GB - предоставляет возможность менять версию PHP

В случае со стандартным хостингом - да, с VPS под FreeBSD не все так просто.
Однако, мы имеем флейм... я обратил внимание на конкретную ситуацию, с которой столкнулся. Она не намного усложняет жизнь, но сдерживает в использовании движка. Свой случай я разрулю сам, но NGCMS потеряет сторонника.
Просто думал, что мое замечание будет полезным.

Неактивен

 

Board footer

Powered by FluxBB

[ Generated in 0.010 seconds, 12 queries executed ]